%define major 0

Name:		eel
Summary:	Eazel Extensions Library
Version: 	1.0.2
Release:	8mdk
License: 	LGPL/GPL
Group:		System/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
# (fc) 1.0-1mdk correct makefile.am to allow parallel build
Patch0:		eel-1.0-makefile.patch.bz2
# rawhide - search default font in every locale
Patch1:		eel-1.0.1-defaultfont.patch.bz2
# rawhide - remove some flashes
Patch4:		eel-1.0.1-labelflash.patch.bz2
# rawhide - Fix problems with EelImageChooser widget and Japanese
Patch5:		eel-1.0.1-styles.patch.bz2
# rawhide - Several hacks and fixes to improve efficiency of background drawing
Patch6:		eel-1.0.1-bghack.patch.bz2
# (fc) 1.0.2-6mdk fix flash at startup
Patch7:		eel-1.0.2-flash.patch.bz2

URL: 		http://nautilus.eazel.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	lib%{name}%{major} = %{version}
Requires:   urw-fonts

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2-devel
BuildRequires:	gcc
BuildRequires:	GConf-devel >= 0.12
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gnome-vfs-devel >= 1.0
BuildRequires:	gnome-libs-devel
BuildRequires:	openssl-devel
BuildRequires:	librsvg-devel >= 1.0.1
BuildRequires:	libxml-devel

%description
Eazel Extensions Library

%package -n lib%{name}%{major}
Summary:	Eazel Extensions shared Libraries
Group:		System/Libraries
Requires:	%name >= %{version}

%description -n lib%{name}%{major}
Eazel Extensions shared libraries

%package -n lib%{name}%{major}-devel
Summary:	Libraries and include files for developing with Eel.
Group:		Development/C
Requires:	lib%name%major = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes: %{name}-devel

%description  -n lib%{name}%{major}-devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.


%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .default-font
%patch4 -p1 -b .labelflash
%patch5 -p1 -b .styles
%patch6 -p1 -b .bghack
%patch7 -p1 -b .flash

#needed by patch0 
automake
autoconf

%build

%configure

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_datadir}/eel

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.sh
%{_bindir}/eel-config
%{_includedir}/eel-1

%changelog
* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-8mdk
- BuildRequires

* Thu Feb 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-7mdk
- integrated basque (and other) translations from Gnome CVS

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Update patch1 with latest Rawhide version

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- Patch7: fix flash problem on desktop at startup

* Fri Dec  7 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-4mdk
- fix BuildRequires

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Patch6 (Rawhide) : Fixes for efficiency of background drawing

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Fix reference directory in .la files

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 2,3,6 (merged upstream)

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-4mdk
- rebuilt with libpng3

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add a lot of patches from rawhide :
 - Patch1: fixed choose default font with every locale
 - Patch2: fixes for efficiency of background drawing
 - Patch3: fixes from CVS (ia64, ...),move includes files in eel-1 dir
 - Patch4: remove some flashes
 - Patch5: Fix problems with EelImageChooser widget and Japanese
 - Patch6: Fixed EelScalableFont to not keep reloading fonts all the time

* Mon Jul 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Remove check since they need X11 display (Stefan van der Eijk)
- Fix BuildRequires (Stefan van der Eijk)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Don't ship fonts since they are in urw-fonts

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Add missing dependency of main package to lib package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- First Mandrake package

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
